This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 865634 - Add more metrics to AS7 plugin
Add more metrics to AS7 plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.7
All All
high Severity medium (vote)
: ---
: RHQ 4.8
Assigned To: Thomas Segismont
Mike Foley
: FutureFeature
Depends On:
Blocks: PM-245/PRODMGT-245
  Show dependency treegraph
 
Reported: 2012-10-11 19:20 EDT by Larry O'Leary
Modified: 2013-09-11 05:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: PM-245/PRODMGT-245
Environment:
Last Closed: 2013-09-11 05:53:12 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-10-11 19:20:11 EDT
+++ This bug was initially created as a clone of JBoss ON Bug #865629 +++

Add missing metrics back to WARs from AS7 plug-in:

    Clustered - True if this web application context is clustered
    Virtual Host - the virtual host with which this context is associated
    Response Time - the minimum, maximum, and average response times for requests serviced by this webapp
    Currently Active Sessions - the number of sessions that are currently active for this WAR
    Maximum Active Sessions - the maximum number of sessions that have been active for this WAR
    Created Sessions - the number of sessions created for this WAR
    Created Sessions per Minute - the number of sessions created for this WAR
    Expired Sessions - the number of expired sessions for this WAR
    Expired Sessions per Minute - the number of expired sessions for this WAR
    Rejected Sessions - the number of sessions rejected for this WAR
    Rejected Sessions per Minute - the number of sessions rejected for this WAR
    Average Session Alive Time - the average alive time of sessions for this WAR
    Max Session Alive Time - the maximum alive time of sessions for this WAR


Comparing the list of metrics from the description in this issue with https://issues.jboss.org/browse/AS7-4444?focusedCommentId=12719259&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-12719259 there were a couple of metrics not in AS7-4444 (besides the per minute metrics which are derived).

    Clustered - True if this web application context is clustered
        This doesn't appear to be exposed by AS7 so it won't be possible to collect via the RHQ plugin

    Response Time - the minimum, maximum, and average response times for requests serviced by this webapp
        This is already implemented in the original as7 plugin that shipped in JON310. However there will be fixes to improve that support in JON312 (https://bugzilla.redhat.com/show_bug.cgi?id=864621).
Comment 1 Thomas Segismont 2013-05-21 11:15:59 EDT
Already implemented. See comments in BZ865629
Comment 2 Thomas Segismont 2013-06-03 03:56:11 EDT
commit c860e6ebb29c99a399471e610e6c2772ffb66d64
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Jun 3 09:50:35 2013 +0200

    Bug 865634 - Add more metrics to AS7 plugin
    
    New commit: enable traits by default
Comment 3 Heiko W. Rupp 2013-09-11 05:53:12 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.